# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::Normal Class Reference

RenderState wrapping the OpenGL function glNormal(), see also http://www.opengl.org/sdk/docs/man/xhtml/glNormal.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::Normal:

List of all members.

## Public Member Functions

| Normal ()
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | setValue (const fvec3 &color)
const fvec3 & | value () const
virtual ref< RenderState > | clone () const

## Protected Attributes

fvec3 | mNormal

## Detailed Description

RenderState wrapping the OpenGL function glNormal(), see also http://www.opengl.org/sdk/docs/man/xhtml/glNormal.xml for more information.

See also:
  Shader, Effect, Actor

Definition at line 162 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::Normal::Normal | ( | ) | `[inline]`

Definition at line 167 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::Normal::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 172 of file Shader.hpp.

References vl::RS_Normal.

void Normal::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 715 of file Shader.cpp.

References vl::OpenGLContext::mNormal, mNormal, VL_CHECK_OGL, vl::Vector3< T_Scalar >::x(), vl::Vector3< T_Scalar >::y(), and vl::Vector3< T_Scalar >::z().

void vl::Normal::setValue | ( | const fvec3 & | color ) | `[inline]`

Definition at line 176 of file Shader.hpp.

Referenced by vl::VLXClassWrapper_Normal::importNormal().

const fvec3& vl::Normal::value | ( | ) | const`[inline]`

Definition at line 178 of file Shader.hpp.

Referenced by vl::VLXClassWrapper_Normal::exportNormal().

virtual ref<RenderState> vl::Normal::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 180 of file Shader.hpp.

## Member Data Documentation

fvec3 vl::Normal::mNormal`[protected]`

Definition at line 188 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:50.
Permission is granted to use this page to write and publish articles regarding Visualization Library.